// ***************************************
// Plugin Application Class for SourceBoost IDE
// 
// Author(s): David Hobday
//
// Copyright (C) 2003-2004 Pavel Baranov
// Copyright (C) 2003-2004 David Hobday
// 
// This code may be freely used to develop
// Plugins for the SourceBoost IDE
// ***************************************

#if !defined _PLUGIN_H_
#define _PLUGIN_H_

#include "pluginAPI.h"
#include "pluginData.h"
#include "pluginView.h"
#include "StaticAutoSize.h"

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"		// main symbols

/////////////////////////////////////////////////////////////////////////////
// CPluginApp
//

class CPluginApp : public CWinApp
{
public:
	CPluginApp();
	HWND CreateView( HWND parent );
	
	BOOL DestroyView( void );

	void Configure( HWND parent ); // called to allow configure dialog to be displayed
	const TCHAR* Name() const; // name string for plugin menu list in SourceBoost IDE

	CPluginData data;
	CPluginView* view;
	

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPluginApp)
	//}}AFX_VIRTUAL

	//{{AFX_MSG(CPluginApp)
		// NOTE - the ClassWizard will add and remove member functions here.
		//    DO NOT EDIT what you see in these blocks of generated code !
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CWnd* CreateFormView( CWnd* parent );

	CStaticAutoSize* theViewParent;
};


/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // _PLUGIN_H_
